{
    num: 868,
    accuracy: true,
    basePower: 0,
    category: "Status",
    name: "Fillet Away",
    pp: 10,
    priority: 0,
    flags: { snatch: 1 },
    onTry(source) {
        if (source.hp <= source.maxhp / 3 || source.maxhp === 1)
            return false;
    },
    onTryHit(pokemon, target, move) {
        if (!this.boost(move.boosts))
            return null;
        delete move.boosts;
    },
    onHit(pokemon) {
        this.directDamage(pokemon.maxhp / 3);
    },
    boosts: {
        atk: 2,
        spa: 2,
        spe: 2
    },
    secondary: null,
    zMove: { effect: "heal" },
    target: "self",
    type: "Normal"
}
